Allow split deployments using the installer
09/05/2017 08:24 AM - Ewoud Kohl van Wijngaarden

Status: New % Done: 0%
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Description

The goal is to be able to deploy all aspects of a Katello installation on separate machines:

)

Candlepin
Pulp

Qpid
Application
Content Proxy

There are also options to use external databases but deploying just the external databases using the installer is (initially) out of
scope.

Initial experiments show that this can generally work but there are assumptions in the code that assume they are on the same
machine.

Related issues:

Related to Katello - Bug #20854: Katello repository export requires a shared ... Resolved

Related to Katello - Feature #20879: Use a different oauth for Pulp & Candlepin Closed 09/08/2017
Related to Katello - Feature #21443: Creating a Puppet Env requires a "defau... Closed

Is duplicate of Katello - Bug #16585: katello high availability with multiple... New 09/16/2016
Blocked by Installer - Refactor #20851: Allow split deploying in puppet-katello New

Blocked by Installer - Refactor #20852: Allow split deploying in puppet-forem... New

Blocks Katello - Tracker #20856: Support HA Katello app servers New 09/05/2017
Blocked by Katello - Feature #23622: solve certificate issues with split depl... Ready For Testing
History

#1 - 09/05/2017 08:26 AM - Ewoud Kohl van Wijngaarden
- Blocked by Refactor #20851: Allow split deploying in puppet-katello added

#2 - 09/05/2017 08:27 AM - Ewoud Kohl van Wijngaarden
- Blocked by Refactor #20852: Allow split deploying in puppet-foreman_proxy_content added

#3 - 09/05/2017 08:34 AM - Ewoud Kohl van Wijngaarden
- Related to Bug #20854: Katello repository export requires a shared filesystem with Pulp added

#4 - 09/05/2017 11:08 AM - Sean O'Keeffe
- Is duplicate of Bug #16585: katello high availability with multiple instances added

#5 - 09/05/2017 11:11 AM - Sean O'Keeffe
- Related to Tracker #20856: Support HA Katello app servers added

#6 - 09/05/2017 11:11 AM - Sean O'Keeffe
- Related to deleted (Tracker #20856: Support HA Katello app servers)
#7 - 09/05/2017 11:11 AM - Sean O'Keeffe
- Blocks Tracker #20856: Support HA Katello app servers added

#8 - 09/06/2017 02:25 PM - Justin Sherrill

- translation missing: en.field_release set to 114

#9 - 09/06/2017 02:25 PM - Justin Sherrill

- Category set to Installer

#10 - 09/08/2017 05:11 AM - Sean O'Keeffe
- Related to Feature #20879: Use a different oauth for Pulp & Candlepin added

#11 - 10/24/2017 04:11 PM - Sean O'Keeffe
- Related to Feature #21443: Creating a Puppet Env requires a "default proxy" added

#12 - 05/17/2018 01:26 PM - Sean O'Keeffe
- Blocked by Feature #23622: solve certificate issues with split deployments added

#13 - 11/29/2019 03:42 PM - Ewoud Kohl van Wijngaarden
- Project changed from Katello to Installer

- Category deleted (Installer)

- Target version deleted (Katello Backlog)
